<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>DOMBuilder (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DOMBuilder (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DOMBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/parse/html/DOMContentUtils.html" title="class in org.apache.nutch.parse.html"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/html/DOMBuilder.html" target="_top">Frames</a></li>
<li><a href="DOMBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.parse.html</div>
<h2 title="Class DOMBuilder" class="title">Class DOMBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.parse.html.DOMBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a>, <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DOMBuilder</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a>, <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></pre>
<div class="block">This class takes SAX events (in addition to some extra events that SAX
 doesn't handle yet) and adds the result to a document or document fragment.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#m_currentNode">m_currentNode</a></span></code>
<div class="block">Current node</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#m_doc">m_doc</a></span></code>
<div class="block">Root document</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#m_docFrag">m_docFrag</a></span></code>
<div class="block">First node of document fragment or null if not a DocumentFragment</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#m_elemStack">m_elemStack</a></span></code>
<div class="block">Vector of element nodes</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#m_inCData">m_inCData</a></span></code>
<div class="block">Flag indicating that we are processing a CData section</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#DOMBuilder-org.w3c.dom.Document-">DOMBuilder</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;doc)</code>
<div class="block">DOMBuilder instance constructor...</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#DOMBuilder-org.w3c.dom.Document-org.w3c.dom.DocumentFragment-">DOMBuilder</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;doc,
          <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;docFrag)</code>
<div class="block">DOMBuilder instance constructor...</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#DOMBuilder-org.w3c.dom.Document-org.w3c.dom.Node-">DOMBuilder</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;doc,
          <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>&nbsp;node)</code>
<div class="block">DOMBuilder instance constructor...</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#append-org.w3c.dom.Node-">append</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>&nbsp;newNode)</code>
<div class="block">Append a node to the current container.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#cdata-char:A-int-int-">cdata</a></span>(char[]&nbsp;ch,
     int&nbsp;start,
     int&nbsp;length)</code>
<div class="block">Receive notification of cdata.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#characters-char:A-int-int-">characters</a></span>(char[]&nbsp;ch,
          int&nbsp;start,
          int&nbsp;length)</code>
<div class="block">Receive notification of character data.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#charactersRaw-char:A-int-int-">charactersRaw</a></span>(char[]&nbsp;ch,
             int&nbsp;start,
             int&nbsp;length)</code>
<div class="block">If available, when the disable-output-escaping attribute is used, output
 raw text without escaping.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#comment-char:A-int-int-">comment</a></span>(char[]&nbsp;ch,
       int&nbsp;start,
       int&nbsp;length)</code>
<div class="block">Report an XML comment anywhere in the document.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endCDATA--">endCDATA</a></span>()</code>
<div class="block">Report the end of a CDATA section.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endDocument--">endDocument</a></span>()</code>
<div class="block">Receive notification of the end of a document.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endDTD--">endDTD</a></span>()</code>
<div class="block">Report the end of DTD declarations.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endElement-java.lang.String-java.lang.String-java.lang.String-">endElement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ns,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;localName,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Receive notification of the end of an element.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endEntity-java.lang.String-">endEntity</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Report the end of an entity.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endPrefixMapping-java.lang.String-">endPrefixMapping</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">End the scope of a prefix-URI mapping.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#entityReference-java.lang.String-">entityReference</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Receive notivication of a entityReference.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#getCurrentNode--">getCurrentNode</a></span>()</code>
<div class="block">Get the node currently being processed.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#getRootNode--">getRootNode</a></span>()</code>
<div class="block">Get the root node of the DOM being created.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#getWriter--">getWriter</a></span>()</code>
<div class="block">Return null since there is no Writer for this class.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#ignorableWhitespace-char:A-int-int-">ignorableWhitespace</a></span>(char[]&nbsp;ch,
                   int&nbsp;start,
                   int&nbsp;length)</code>
<div class="block">Receive notification of ignorable whitespace in element content.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#processingInstruction-java.lang.String-java.lang.String-">processingInstruction</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;target,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;data)</code>
<div class="block">Receive notification of a processing instruction.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#setDocumentLocator-org.xml.sax.Locator-">setDocumentLocator</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Locator.html?is-external=true" title="class or interface in org.xml.sax">Locator</a>&nbsp;locator)</code>
<div class="block">Receive an object for locating the origin of SAX document events.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#setIDAttribute-java.lang.String-org.w3c.dom.Element-">setIDAttribute</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id,
              <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>&nbsp;elem)</code>
<div class="block">Set an ID string to node association in the ID table.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#skippedEntity-java.lang.String-">skippedEntity</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Receive notification of a skipped entity.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startCDATA--">startCDATA</a></span>()</code>
<div class="block">Report the start of a CDATA section.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startDocument--">startDocument</a></span>()</code>
<div class="block">Receive notification of the beginning of a document.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startDTD-java.lang.String-java.lang.String-java.lang.String-">startDTD</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;publicId,
        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;systemId)</code>
<div class="block">Report the start of DTD declarations, if any.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-">startElement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ns,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;localName,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Attributes.html?is-external=true" title="class or interface in org.xml.sax">Attributes</a>&nbsp;atts)</code>
<div class="block">Receive notification of the beginning of an element.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startEntity-java.lang.String-">startEntity</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Report the beginning of an entity.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startPrefixMapping-java.lang.String-java.lang.String-">startPrefixMapping</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;uri)</code>
<div class="block">Begin the scope of a prefix-URI Namespace mapping.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="m_doc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_doc</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a> m_doc</pre>
<div class="block">Root document</div>
</li>
</ul>
<a name="m_currentNode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_currentNode</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a> m_currentNode</pre>
<div class="block">Current node</div>
</li>
</ul>
<a name="m_docFrag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_docFrag</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a> m_docFrag</pre>
<div class="block">First node of document fragment or null if not a DocumentFragment</div>
</li>
</ul>
<a name="m_elemStack">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_elemStack</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>&gt; m_elemStack</pre>
<div class="block">Vector of element nodes</div>
</li>
</ul>
<a name="m_inCData">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_inCData</h4>
<pre>protected&nbsp;boolean m_inCData</pre>
<div class="block">Flag indicating that we are processing a CData section</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DOMBuilder-org.w3c.dom.Document-org.w3c.dom.Node-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOMBuilder</h4>
<pre>public&nbsp;DOMBuilder(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;doc,
                  <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>&nbsp;node)</pre>
<div class="block">DOMBuilder instance constructor... it will add the DOM nodes to the
 document fragment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>doc</code> - Root document</dd>
<dd><code>node</code> - Current node</dd>
</dl>
</li>
</ul>
<a name="DOMBuilder-org.w3c.dom.Document-org.w3c.dom.DocumentFragment-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOMBuilder</h4>
<pre>public&nbsp;DOMBuilder(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;doc,
                  <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/DocumentFragment.html?is-external=true" title="class or interface in org.w3c.dom">DocumentFragment</a>&nbsp;docFrag)</pre>
<div class="block">DOMBuilder instance constructor... it will add the DOM nodes to the
 document fragment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>doc</code> - Root document</dd>
<dd><code>docFrag</code> - Document fragment</dd>
</dl>
</li>
</ul>
<a name="DOMBuilder-org.w3c.dom.Document-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DOMBuilder</h4>
<pre>public&nbsp;DOMBuilder(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Document.html?is-external=true" title="class or interface in org.w3c.dom">Document</a>&nbsp;doc)</pre>
<div class="block">DOMBuilder instance constructor... it will add the DOM nodes to the
 document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>doc</code> - Root document</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRootNode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRootNode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>&nbsp;getRootNode()</pre>
<div class="block">Get the root node of the DOM being created. This is either a Document or a
 DocumentFragment.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The root document or document fragment if not null</dd>
</dl>
</li>
</ul>
<a name="getCurrentNode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentNode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>&nbsp;getCurrentNode()</pre>
<div class="block">Get the node currently being processed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current node being processed</dd>
</dl>
</li>
</ul>
<a name="getWriter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWriter</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;getWriter()</pre>
<div class="block">Return null since there is no Writer for this class.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>null</dd>
</dl>
</li>
</ul>
<a name="append-org.w3c.dom.Node-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>append</h4>
<pre>protected&nbsp;void&nbsp;append(<a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Node.html?is-external=true" title="class or interface in org.w3c.dom">Node</a>&nbsp;newNode)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Append a node to the current container.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newNode</code> - New node to append</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="setDocumentLocator-org.xml.sax.Locator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocumentLocator</h4>
<pre>public&nbsp;void&nbsp;setDocumentLocator(<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Locator.html?is-external=true" title="class or interface in org.xml.sax">Locator</a>&nbsp;locator)</pre>
<div class="block">Receive an object for locating the origin of SAX document events.
 
 <p>
 SAX parsers are strongly encouraged (though not absolutely required) to
 supply a locator: if it does so, it must supply the locator to the
 application by invoking this method before invoking any of the other
 methods in the ContentHandler interface.
 </p>
 
 <p>
 The locator allows the application to determine the end position of any
 document-related event, even if the parser is not reporting an error.
 Typically, the application will use this information for reporting its own
 errors (such as character content that does not match an application's
 business rules). The information returned by the locator is probably not
 sufficient for use with a search engine.
 </p>
 
 <p>
 Note that the locator will return correct information only during the
 invocation of the events in this interface. The application should not
 attempt to use it at any other time.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#setDocumentLocator-org.xml.sax.Locator-" title="class or interface in org.xml.sax">setDocumentLocator</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - An object that can return the location of any SAX document event.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Locator.html?is-external=true" title="class or interface in org.xml.sax"><code>Locator</code></a></dd>
</dl>
</li>
</ul>
<a name="startDocument--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startDocument</h4>
<pre>public&nbsp;void&nbsp;startDocument()
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of the beginning of a document.
 
 <p>
 The SAX parser will invoke this method only once, before any other methods
 in this interface or in DTDHandler (except for setDocumentLocator).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#startDocument--" title="class or interface in org.xml.sax">startDocument</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="endDocument--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endDocument</h4>
<pre>public&nbsp;void&nbsp;endDocument()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of the end of a document.
 
 <p>
 The SAX parser will invoke this method only once, and it will be the last
 method invoked during the parse. The parser shall not invoke this method
 until it has either abandoned parsing (because of an unrecoverable error)
 or reached the end of input.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#endDocument--" title="class or interface in org.xml.sax">endDocument</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startElement</h4>
<pre>public&nbsp;void&nbsp;startElement(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ns,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;localName,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                         <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Attributes.html?is-external=true" title="class or interface in org.xml.sax">Attributes</a>&nbsp;atts)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of the beginning of an element.
 
 <p>
 The Parser will invoke this method at the beginning of every element in the
 XML document; there will be a corresponding endElement() event for every
 startElement() event (even when the element is empty). All of the element's
 content will be reported, in order, before the corresponding endElement()
 event.
 </p>
 
 <p>
 If the element name has a namespace prefix, the prefix will still be
 attached. Note that the attribute list provided will contain only
 attributes with explicit values (specified or defaulted): #IMPLIED
 attributes will be omitted.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-" title="class or interface in org.xml.sax">startElement</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ns</code> - The namespace of the node</dd>
<dd><code>localName</code> - The local part of the qualified name</dd>
<dd><code>name</code> - The element name.</dd>
<dd><code>atts</code> - The attributes attached to the element, if any.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endElement-java.lang.String-java.lang.String-java.lang.String-"><code>endElement(java.lang.String, java.lang.String, java.lang.String)</code></a>, 
<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Attributes.html?is-external=true" title="class or interface in org.xml.sax"><code>Attributes</code></a></dd>
</dl>
</li>
</ul>
<a name="endElement-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endElement</h4>
<pre>public&nbsp;void&nbsp;endElement(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ns,
                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;localName,
                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of the end of an element.
 
 <p>
 The SAX parser will invoke this method at the end of every element in the
 XML document; there will be a corresponding startElement() event for every
 endElement() event (even when the element is empty).
 </p>
 
 <p>
 If the element name has a namespace prefix, the prefix will still be
 attached to the name.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#endElement-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax">endElement</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ns</code> - the namespace of the element</dd>
<dd><code>localName</code> - The local part of the qualified name of the element</dd>
<dd><code>name</code> - The element name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="setIDAttribute-java.lang.String-org.w3c.dom.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIDAttribute</h4>
<pre>public&nbsp;void&nbsp;setIDAttribute(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id,
                           <a href="https://docs.oracle.com/javase/8/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>&nbsp;elem)</pre>
<div class="block">Set an ID string to node association in the ID table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - The ID string.</dd>
<dd><code>elem</code> - The associated ID.</dd>
</dl>
</li>
</ul>
<a name="characters-char:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>characters</h4>
<pre>public&nbsp;void&nbsp;characters(char[]&nbsp;ch,
                       int&nbsp;start,
                       int&nbsp;length)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of character data.
 
 <p>
 The Parser will call this method to report each chunk of character data.
 SAX parsers may return all contiguous character data in a single chunk, or
 they may split it into several chunks; however, all of the characters in
 any single event must come from the same external entity, so that the
 Locator provides useful information.
 </p>
 
 <p>
 The application must not attempt to read from the array outside of the
 specified range.
 </p>
 
 <p>
 Note that some parsers will report whitespace using the
 ignorableWhitespace() method rather than this one (validating parsers must
 do so).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#characters-char:A-int-int-" title="class or interface in org.xml.sax">characters</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ch</code> - The characters from the XML document.</dd>
<dd><code>start</code> - The start position in the array.</dd>
<dd><code>length</code> - The number of characters to read from the array.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#ignorableWhitespace-char:A-int-int-"><code>ignorableWhitespace(char[], int, int)</code></a>, 
<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Locator.html?is-external=true" title="class or interface in org.xml.sax"><code>Locator</code></a></dd>
</dl>
</li>
</ul>
<a name="charactersRaw-char:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>charactersRaw</h4>
<pre>public&nbsp;void&nbsp;charactersRaw(char[]&nbsp;ch,
                          int&nbsp;start,
                          int&nbsp;length)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">If available, when the disable-output-escaping attribute is used, output
 raw text without escaping. A PI will be inserted in front of the node with
 the name "lotusxsl-next-is-raw" and a value of "formatter-to-dom".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ch</code> - Array containing the characters</dd>
<dd><code>start</code> - Index to start of characters in the array</dd>
<dd><code>length</code> - Number of characters in the array</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="startEntity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startEntity</h4>
<pre>public&nbsp;void&nbsp;startEntity(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report the beginning of an entity.
 
 The start and end of the document entity are not reported. The start and
 end of the external DTD subset are reported using the pseudo-name "[dtd]".
 All other events must be properly nested within start/end entity events.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#startEntity-java.lang.String-" title="class or interface in org.xml.sax.ext">startEntity</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The name of the entity. If it is a parameter entity, the name will
          begin with '%'.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endEntity-java.lang.String-"><code>endEntity(java.lang.String)</code></a>, 
<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/DeclHandler.html?is-external=true#internalEntityDecl-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax.ext"><code>DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)</code></a>, 
<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/DeclHandler.html?is-external=true#externalEntityDecl-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax.ext"><code>DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="endEntity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endEntity</h4>
<pre>public&nbsp;void&nbsp;endEntity(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report the end of an entity.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#endEntity-java.lang.String-" title="class or interface in org.xml.sax.ext">endEntity</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The name of the entity that is ending.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startEntity-java.lang.String-"><code>startEntity(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="entityReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>entityReference</h4>
<pre>public&nbsp;void&nbsp;entityReference(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notivication of a entityReference.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - name of the entity reference</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="ignorableWhitespace-char:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ignorableWhitespace</h4>
<pre>public&nbsp;void&nbsp;ignorableWhitespace(char[]&nbsp;ch,
                                int&nbsp;start,
                                int&nbsp;length)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of ignorable whitespace in element content.
 
 <p>
 Validating Parsers must use this method to report each chunk of ignorable
 whitespace (see the W3C XML 1.0 recommendation, section 2.10):
 non-validating parsers may also use this method if they are capable of
 parsing and using content models.
 </p>
 
 <p>
 SAX parsers may return all contiguous whitespace in a single chunk, or they
 may split it into several chunks; however, all of the characters in any
 single event must come from the same external entity, so that the Locator
 provides useful information.
 </p>
 
 <p>
 The application must not attempt to read from the array outside of the
 specified range.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#ignorableWhitespace-char:A-int-int-" title="class or interface in org.xml.sax">ignorableWhitespace</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ch</code> - The characters from the XML document.</dd>
<dd><code>start</code> - The start position in the array.</dd>
<dd><code>length</code> - The number of characters to read from the array.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#characters-char:A-int-int-"><code>characters(char[], int, int)</code></a></dd>
</dl>
</li>
</ul>
<a name="processingInstruction-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processingInstruction</h4>
<pre>public&nbsp;void&nbsp;processingInstruction(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;target,
                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;data)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of a processing instruction.
 
 <p>
 The Parser will invoke this method once for each processing instruction
 found: note that processing instructions may occur before or after the main
 document element.
 </p>
 
 <p>
 A SAX parser should never report an XML declaration (XML 1.0, section 2.8)
 or a text declaration (XML 1.0, section 4.3.1) using this method.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#processingInstruction-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax">processingInstruction</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - The processing instruction target.</dd>
<dd><code>data</code> - The processing instruction data, or null if none was supplied.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="comment-char:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>comment</h4>
<pre>public&nbsp;void&nbsp;comment(char[]&nbsp;ch,
                    int&nbsp;start,
                    int&nbsp;length)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report an XML comment anywhere in the document.
 
 This callback will be used for comments inside or outside the document
 element, including comments in the external DTD subset (if read).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#comment-char:A-int-int-" title="class or interface in org.xml.sax.ext">comment</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ch</code> - An array holding the characters in the comment.</dd>
<dd><code>start</code> - The starting position in the array.</dd>
<dd><code>length</code> - The number of characters to use from the array.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
<a name="startCDATA--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startCDATA</h4>
<pre>public&nbsp;void&nbsp;startCDATA()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report the start of a CDATA section.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#startCDATA--" title="class or interface in org.xml.sax.ext">startCDATA</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endCDATA--"><code>endCDATA()</code></a></dd>
</dl>
</li>
</ul>
<a name="endCDATA--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endCDATA</h4>
<pre>public&nbsp;void&nbsp;endCDATA()
              throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report the end of a CDATA section.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#endCDATA--" title="class or interface in org.xml.sax.ext">endCDATA</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startCDATA--"><code>startCDATA()</code></a></dd>
</dl>
</li>
</ul>
<a name="cdata-char:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cdata</h4>
<pre>public&nbsp;void&nbsp;cdata(char[]&nbsp;ch,
                  int&nbsp;start,
                  int&nbsp;length)
           throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of cdata.
 
 <p>
 The Parser will call this method to report each chunk of character data.
 SAX parsers may return all contiguous character data in a single chunk, or
 they may split it into several chunks; however, all of the characters in
 any single event must come from the same external entity, so that the
 Locator provides useful information.
 </p>
 
 <p>
 The application must not attempt to read from the array outside of the
 specified range.
 </p>
 
 <p>
 Note that some parsers will report whitespace using the
 ignorableWhitespace() method rather than this one (validating parsers must
 do so).
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ch</code> - The characters from the XML document.</dd>
<dd><code>start</code> - The start position in the array.</dd>
<dd><code>length</code> - The number of characters to read from the array.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#ignorableWhitespace-char:A-int-int-"><code>ignorableWhitespace(char[], int, int)</code></a>, 
<a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/Locator.html?is-external=true" title="class or interface in org.xml.sax"><code>Locator</code></a></dd>
</dl>
</li>
</ul>
<a name="startDTD-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startDTD</h4>
<pre>public&nbsp;void&nbsp;startDTD(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;publicId,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;systemId)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report the start of DTD declarations, if any.
 
 Any declarations are assumed to be in the internal subset unless otherwise
 indicated.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#startDTD-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax.ext">startDTD</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The document type name.</dd>
<dd><code>publicId</code> - The declared public identifier for the external DTD subset, or
          null if none was declared.</dd>
<dd><code>systemId</code> - The declared system identifier for the external DTD subset, or
          null if none was declared.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endDTD--"><code>endDTD()</code></a>, 
<a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startEntity-java.lang.String-"><code>startEntity(java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="endDTD--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endDTD</h4>
<pre>public&nbsp;void&nbsp;endDTD()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Report the end of DTD declarations.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true#endDTD--" title="class or interface in org.xml.sax.ext">endDTD</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ext/LexicalHandler.html?is-external=true" title="class or interface in org.xml.sax.ext">LexicalHandler</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startDTD-java.lang.String-java.lang.String-java.lang.String-"><code>startDTD(java.lang.String, java.lang.String, java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="startPrefixMapping-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startPrefixMapping</h4>
<pre>public&nbsp;void&nbsp;startPrefixMapping(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;uri)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Begin the scope of a prefix-URI Namespace mapping.
 
 <p>
 The information from this event is not necessary for normal Namespace
 processing: the SAX XML reader will automatically replace prefixes for
 element and attribute names when the http://xml.org/sax/features/namespaces
 feature is true (the default).
 </p>
 
 <p>
 There are cases, however, when applications need to use prefixes in
 character data or in attribute values, where they cannot safely be expanded
 automatically; the start/endPrefixMapping event supplies the information to
 the application to expand prefixes in those contexts itself, if necessary.
 </p>
 
 <p>
 Note that start/endPrefixMapping events are not guaranteed to be properly
 nested relative to each-other: all startPrefixMapping events will occur
 before the corresponding startElement event, and all endPrefixMapping
 events will occur after the corresponding endElement event, but their order
 is not guaranteed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#startPrefixMapping-java.lang.String-java.lang.String-" title="class or interface in org.xml.sax">startPrefixMapping</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prefix</code> - The Namespace prefix being declared.</dd>
<dd><code>uri</code> - The Namespace URI the prefix is mapped to.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endPrefixMapping-java.lang.String-"><code>endPrefixMapping(java.lang.String)</code></a>, 
<a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-"><code>startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)</code></a></dd>
</dl>
</li>
</ul>
<a name="endPrefixMapping-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endPrefixMapping</h4>
<pre>public&nbsp;void&nbsp;endPrefixMapping(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">End the scope of a prefix-URI mapping.
 
 <p>
 See startPrefixMapping for details. This event will always occur after the
 corresponding endElement event, but the order of endPrefixMapping events is
 not otherwise guaranteed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#endPrefixMapping-java.lang.String-" title="class or interface in org.xml.sax">endPrefixMapping</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prefix</code> - The prefix that was being mapping.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#startPrefixMapping-java.lang.String-java.lang.String-"><code>startPrefixMapping(java.lang.String, java.lang.String)</code></a>, 
<a href="../../../../../org/apache/nutch/parse/html/DOMBuilder.html#endElement-java.lang.String-java.lang.String-java.lang.String-"><code>endElement(java.lang.String, java.lang.String, java.lang.String)</code></a></dd>
</dl>
</li>
</ul>
<a name="skippedEntity-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>skippedEntity</h4>
<pre>public&nbsp;void&nbsp;skippedEntity(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></pre>
<div class="block">Receive notification of a skipped entity.
 
 <p>
 The Parser will invoke this method once for each entity skipped.
 Non-validating processors may skip entities if they have not seen the
 declarations (because, for example, the entity was declared in an external
 DTD subset). All processors may skip external entities, depending on the
 values of the http://xml.org/sax/features/external-general-entities and the
 http://xml.org/sax/features/external-parameter-entities properties.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true#skippedEntity-java.lang.String-" title="class or interface in org.xml.sax">skippedEntity</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/ContentHandler.html?is-external=true" title="class or interface in org.xml.sax">ContentHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The name of the skipped entity. If it is a parameter entity, the
          name will begin with '%'.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/org/xml/sax/SAXException.html?is-external=true" title="class or interface in org.xml.sax">SAXException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DOMBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/parse/html/DOMContentUtils.html" title="class in org.apache.nutch.parse.html"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/html/DOMBuilder.html" target="_top">Frames</a></li>
<li><a href="DOMBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
